AI agents: this site is available as Markdown at /llms.txt. Each page has a Markdown version at its URL with a .md suffix, and the full API is described in /api/v3/openapi.json.

Get bill payments summary

This document shows you how to retrieve a history of all purchased bill services including commission earned

Last updated 13 September 2026

get

https://api.flutterwave.com/v3/bills/summary

authorization string required

Pass your secret key as a bearer token in the request header to authorize this call

FILL IN ALL REQUIRED FIELDS

from string
This is the start date it can be in any of this formats: YYYY-MM-DDTHH:MM:SSZ or YYYY-MM-DD

to string
This is the end date, it can be in any of this formats: YYYY-MM-DDTHH:MM:SSZ or YYYY-MM-DD

FILL IN ALL REQUIRED FIELDS

status string

message string

data array of objects

FILL IN ALL REQUIRED FIELDS

currency string

sum_bills integer

sum_commission integer

sum_dstv integer

sum_airtime integer

sum_ikedc integer

sum_firs integer

sum_ekedc integer

sum_benindisco integer

sum_kadunadisco integer

sum_data integer

count_dstv integer

count_airtime integer

count_ikedc integer

count_ekedc integer

count_benindisco integer

count_kadunadisco integer

count_firs integer

count_data integer

Shell

1
1


FL.AI

Answers from the Flutterwave docs

Hi, I’m FL.AI

Ask anything about Flutterwave’s APIs, guides and coverage.

FL.AI can make mistakes. Check important details in the docs.

Get API Keys